require_relative '../config/multi_xml'

require 'amsi/error/bad_request'
require 'amsi/error/invalid_response'
require 'amsi/error/request_fault'
require 'amsi/error/request_timeout'
require 'amsi/error/unparsable_response'

require 'amsi/model/address'
require 'amsi/model/guest_card'
require 'amsi/model/guest_card_result'
require 'amsi/model/lease'
require 'amsi/model/leasing_agent'
require 'amsi/model/manager'
require 'amsi/model/marketing_source'
require 'amsi/model/occupant'
require 'amsi/model/property'
require 'amsi/model/unit_type'

require 'amsi/parameter/contact_type'
require 'amsi/parameter/prospect'

require 'amsi/request/add_guest_card'
require 'amsi/request/get_property_list'
require 'amsi/request/get_property_residents'
require 'amsi/request/get_moveins_by_first_marketing_source'

require 'amsi/version'

module Amsi
end
