require_relative 'base'

module Amsi
  class AttributeParser
    # Parse the response value of an integer attribute
    class Integer < Base
      # @return [Integer] the parsed attribute value
      def parse
        Integer(value, 10)
      rescue ArgumentError
        raise Error::InvalidResponse, "Invalid integer response value: #{value}"
      end
    end
  end
end
