require_relative 'base'

module Amsi
  module Model
    class Occupant < Base
      string_attrs(*%i[
                     bldg_id
                     email
                     external_reference_id
                     occu_first_name
                     occu_last_name
                     occu_seq_no
                     phone_1_no
                     phone_2_no
                     property_id
                     resi_id
                     responsible_flag
                     unit_id
                   ])

      decimal_attrs :rent_amount

      alias building_id bldg_id
      alias resident_id resi_id
      alias sequence_number occu_seq_no
      alias first_name occu_first_name
      alias last_name occu_last_name
      alias phone_1 phone_1_no
      alias phone_2 phone_2_no
    end
  end
end
