require_relative 'base'

module Amsi
  class AttributeParser
    # Parse the response value of a decimal attribute
    class Decimal < Base
      # @return [Float] the parsed attribute value
      def parse
        Float(value)
      rescue ArgumentError
        raise Error::InvalidResponse, "Invalid decimal response value: #{value}"
      end
    end
  end
end
