require_relative 'base'

module Amsi
  module Model
    class GuestCardResult < Base
      module Status
        FAILURE = 'FAILURE'.freeze
        SUCCESS = 'SUCCESS'.freeze
      end

      string_attrs(*%i[
                     guest_card_id
                     property_id
                     status
                   ])

      integer_attrs :contact_seq_no

      alias contact_sequence_number contact_seq_no

      def success?
        status == Status::SUCCESS
      end
    end
  end
end
