require_relative 'base'

module Amsi
  module Model
    class LeasingAgent < Base
      string_attrs(*%i[
                     agent_active_flag
                     agent_code
                     agent_name
                     property_id
                   ])

      alias code agent_code
      alias name agent_name

      def active?
        agent_active_flag == 'Y'
      end
    end
  end
end
