require_relative 'base'

module Amsi
  module Model
    class MarketingSource < Base
      string_attrs(*%i[
                     property_id
                     source_code
                     source_desc
                     source_active_flag
                   ])

      alias code source_code
      alias description source_desc

      def active?
        source_active_flag == 'Y'
      end
    end
  end
end
